# getHealth

General node health check.

This method will use `10` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://soroban.stellar.org/api/methods/getEvents)

## **Parameters**

`None`

## Returns

`status` (string): Stringified-number of the current latest ledger observed by the node when this response was generated.

```json
// Result
{
  "jsonrpc": "2.0",
  "id": 8675309,
  "result": {
    "status": "healthy"
  }
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.stellar.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0", "id": 8675309, "method": "getHealth"}'
</code></pre>

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0", "id": 8675309, "method": "getHealth"}'

```

{% endtab %}
{% endtabs %}
